Problem with processing plugin in 2.18.7

2017-05-02 03:37 PM - Ludwig Gamsjaeger

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.18.7 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24404

Description

I'd like to report a problem with QGis processing under 2.18.7, when trying to install the plugin I get the following errors, mainly it is looking

for something uic:

ImportError: cannot import name uic

Traceback (most recent call last):   File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 308, in loadPlugin     import

(packageName)   File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in import     mod = _builtin_import(name,

globals, locals, fromlist, level)   File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\_init__.py", line 29, in     from

processing.tools.general import *              # NOQA   File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in import

    mod = _builtin_import(name, globals, locals, fromlist, level)   File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\tools\general.py", line 31, in     from processing.core.Processing

import Processing   File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in _import     mod =

_builtin_import(name, globals, locals, fromlist, level)   File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\core\Processing.py", line 42, in     from

processing.script.ScriptUtils import ScriptUtils   File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in _import 

   mod = _builtin_import(name, globals, locals, fromlist, level)   File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\script\ScriptUtils.py", line 30, in     from

processing.script.ScriptAlgorithm import ScriptAlgorithm   File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607,

in _import     mod = _builtin_import(name, globals, locals, fromlist, level)   File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\script\ScriptAlgorithm.py", line 34, in     from

processing.gui.Help2Html import getHtmlFromHelpFile   File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in

_import     mod = _builtin_import(name, globals, locals, fromlist, level)   File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\gui\_init__.py", line 1, in     from qgis.PyQt import uic ImportError:

cannot import name uic

Python-Version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS-Version: 2.18.7 Las Palmas, 3b30e6a

Python-Pfad:

    -  C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python

    -  C:/Users/ludwi/.qgis2/python

    -  C:/Users/ludwi/.qgis2/python/plugins

    -  C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins

    -  C:\PROGRA~1\QGIS2~1.18\bin\python27.zip

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\DLLs

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\plat-win

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\lib-tk

2025-04-27 1/2



    -  C:\PROGRA~1\QGIS2~1.18\bin

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\PIL

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\jinja2-2.7.2-py2.7.egg

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\markupsafe-0.23-py2.7-win-amd64.egg

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\win32

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\win32\lib

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\Pythonwin

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\wx-2.8-msw-unicode

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\xlrd-0.9.2-py2.7.egg

    -  C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\xlwt-0.7.5-py2.7.egg

    -  C:/Users/ludwi/.qgis2//python

    -  C:\Users\ludwi\.qgis2\python\plugins\DigitizingTools\tools

    -  C:\Users\ludwi\.qgis2\python\plugins\mmqgis/forms

    -  D:/Lucky/Projects/Fishing

I don't know if I'm the omly one having this issues, I'm running the application under Windows10/64 bit

History

#1 - 2017-05-02 06:30 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

It is a long now that Processing is not to be installed/updates from the plugin manager, you should/must use the copy shipped with any QGIS installation.
